/*
 * This file is part of Pustefix.
 *
 * Pustefix is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Pustefix is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Pustefix; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
    
package org.pustefixframework.editor.webui.wrappers;
    
import de.schlund.pfixcore.generator.*;

import de.schlund.pfixcore.generator.annotation.*;

/**
 * THIS CLASS IS AUTOGENERATED! DO NOT EDIT IN ANY WAY!
 */
@UseHandlerClass(org.pustefixframework.editor.webui.handlers.RestoreImageHandler.class)
public class RestoreImage extends IWrapperImpl {

    @Override
    protected synchronized void registerParams() {
        
        IWrapperParam          pinfo;
        
        IWrapperParamCaster    caster;
        
        // Version
        if(!params.containsKey("Version")) {
        pinfo  = new IWrapperParam("Version", false, false, null, "java.lang.String", true);
          
        params.put("Version", pinfo);
          
        }  
        
      
        // LastModTime
        if(!params.containsKey("LastModTime")) {
        pinfo  = new IWrapperParam("LastModTime", false, false, null, "java.lang.Long", true);
          
        params.put("LastModTime", pinfo);
          
        caster = new de.schlund.pfixcore.generator.casters.ToLong();
        pinfo.setParamCaster(caster);
    
        }  
        
      
        super.registerParams();
    }
    
    // Version
    public java.lang.String getVersion() {
        return (java.lang.String) gimmeParamForKey("Version").getValue();
    }
    
    public void setStringValVersion(String v) {
        gimmeParamForKey("Version").
          setStringValue(new String[] {v});
    }

    public void setVersion(java.lang.String v) {
        IWrapperParam iwrpParam = gimmeParamForKey("Version");
        setStringValue(new java.lang.String[] {v}, iwrpParam);
    }

    public void addSCodeVersion(de.schlund.util.statuscodes.StatusCode scode) {
        addSCode(gimmeParamForKey("Version"), scode, null, null);
    }

    public void addSCodeVersion(de.schlund.util.statuscodes.StatusCode scode, String[] args, String level) {
        addSCode(gimmeParamForKey("Version"), scode, args, level);
    }

    /**
      * @deprecated use addScodeVersion(scode, args, null)
      */
    @Deprecated
    public void addSCodeWithArgsVersion(de.schlund.util.statuscodes.StatusCode scode, String[] args) {
        addSCode(gimmeParamForKey("Version"), scode, args, null);
    }
        
    // LastModTime
    @Caster(
        type=de.schlund.pfixcore.generator.casters.ToLong.class
    )
    public java.lang.Long getLastModTime() {
        return (java.lang.Long) gimmeParamForKey("LastModTime").getValue();
    }
    
    public void setStringValLastModTime(String v) {
        gimmeParamForKey("LastModTime").
          setStringValue(new String[] {v});
    }

    public void setLastModTime(java.lang.Long v) {
        IWrapperParam iwrpParam = gimmeParamForKey("LastModTime");
        setStringValue(new java.lang.Long[] {v}, iwrpParam);
    }

    public void addSCodeLastModTime(de.schlund.util.statuscodes.StatusCode scode) {
        addSCode(gimmeParamForKey("LastModTime"), scode, null, null);
    }

    public void addSCodeLastModTime(de.schlund.util.statuscodes.StatusCode scode, String[] args, String level) {
        addSCode(gimmeParamForKey("LastModTime"), scode, args, level);
    }

    /**
      * @deprecated use addScodeLastModTime(scode, args, null)
      */
    @Deprecated
    public void addSCodeWithArgsLastModTime(de.schlund.util.statuscodes.StatusCode scode, String[] args) {
        addSCode(gimmeParamForKey("LastModTime"), scode, args, null);
    }
        
}
  